Bug 50808 - ksconfig stores plaintext root password
Summary: ksconfig stores plaintext root password
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ksconfig (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-03 14:46 UTC by Mike Gerdts
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-03 14:46:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike Gerdts 2001-08-03 14:46:42 UTC
Description of Problem:

Kickstart uses unencrypted passwords

How Reproducible:

Follow the instructions in "The Official Red Hat Linux Customization
Guide", section 2.5.

Steps to Reproduce:
1. start ksconfig
2. type in your root password in the space provided
3. be sure md5 passwords is checked (mainly to get a false sense of security)
4. save the file

Actual Results:

The plain text root password is stored in the kickstart file.

Expected Results:

If I selected md5 passwords, I would have expected that ksconfig would
store an md5 password and kickstart would just put that already hashed
password into /etc/shadow.

Additional Information:

This feature makes the ks.cfg file a very valuable file to people that
would like to do harm.  If it is accessible via FTP, HTTP, or NFS your
root password is rather trivially accessible.

Comment 1 Brent Fox 2001-08-08 23:05:01 UTC
I changed ksconfig to always write out an encrypted root password.  Fixed in cvs.


Note You need to log in before you can comment on or make changes to this bug.